---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libContYieldBreakPointTest.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0xD4C, symBinAddr: 0x1F8C, symSize: 0x198 }
  - { offsetInCU: 0x9F, offset: 0x9F, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x235C8, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x28A, offset: 0x28A, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x235B0, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0x8EB5, offset: 0x8EB5, size: 0x8, addend: 0x0, symName: __ZL9event_mon, symObjAddr: 0x235B8, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x8ECE, offset: 0x8ECE, size: 0x8, addend: 0x0, symName: __ZL16breakpoint_count, symObjAddr: 0x235C0, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x8EE7, offset: 0x8EE7, size: 0x8, addend: 0x0, symName: __ZL17single_step_count, symObjAddr: 0x235C4, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x8F78, offset: 0x8F78, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x1F68, symSize: 0x24 }
  - { offsetInCU: 0x9249, offset: 0x9249, size: 0x8, addend: 0x0, symName: __ZL25print_current_stack_traceP9_jvmtiEnvP7JNIEnv_, symObjAddr: 0xEE4, symBinAddr: 0x2124, symSize: 0x2C0 }
  - { offsetInCU: 0x98F7, offset: 0x98F7, size: 0x8, addend: 0x0, symName: __ZL21get_method_class_nameP9_jvmtiEnvP7JNIEnv_P10_jmethodID, symObjAddr: 0x1B3C, symBinAddr: 0x2D7C, symSize: 0x1C0 }
  - { offsetInCU: 0x9D45, offset: 0x9D45, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x11A4, symBinAddr: 0x23E4, symSize: 0x170 }
  - { offsetInCU: 0xA10A, offset: 0xA10A, size: 0x8, addend: 0x0, symName: __ZL10BreakpointP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x1314, symBinAddr: 0x2554, symSize: 0x280 }
  - { offsetInCU: 0xA679, offset: 0xA679, size: 0x8, addend: 0x0, symName: __ZL22print_frame_event_infoP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPKci, symObjAddr: 0x1CFC, symBinAddr: 0x2F3C, symSize: 0x254 }
  - { offsetInCU: 0xABE2, offset: 0xABE2, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1F50, symBinAddr: 0x3190, symSize: 0x90 }
  - { offsetInCU: 0xACC2, offset: 0xACC2, size: 0x8, addend: 0x0, symName: __ZL10SingleStepP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDl, symObjAddr: 0x1594, symBinAddr: 0x27D4, symSize: 0x224 }
  - { offsetInCU: 0xB1B9, offset: 0xB1B9, size: 0x8, addend: 0x0, symName: _Java_ContYieldBreakPointTest_enableEvents, symObjAddr: 0x17B8, symBinAddr: 0x29F8, symSize: 0x2D0 }
  - { offsetInCU: 0xB6E5, offset: 0xB6E5, size: 0x8, addend: 0x0, symName: _Java_ContYieldBreakPointTest_check, symObjAddr: 0x1A88, symBinAddr: 0x2CC8, symSize: 0xB4 }
...
